PipeWire: properties.h File Reference

PipeWire 0.3.20

Data Structures | Functions
properties.h File Reference
Include dependency graph for properties.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
class | pw_properties
| A collection of key/value pairs. More...

## Functions
struct pw_properties * | pw_properties_new (const char *key,...) SPA_SENTINEL
struct pw_properties * | pw_properties_new_dict (const struct spa_dict *dict)
struct pw_properties * | pw_properties_new_string (const char *args)
struct pw_properties * | pw_properties_copy (const struct pw_properties *properties)
int | pw_properties_update_keys (struct pw_properties *props, const struct spa_dict *dict, const char *keys[])
int | pw_properties_update (struct pw_properties *oldprops, const struct spa_dict *dict)
int | pw_properties_update_string (struct pw_properties *props, const char *str, size_t size)
int | pw_properties_add (struct pw_properties *oldprops, const struct spa_dict *dict)
int | pw_properties_add_keys (struct pw_properties *oldprops, const struct spa_dict *dict, const char *keys[])
void | pw_properties_clear (struct pw_properties *properties)
void | pw_properties_free (struct pw_properties *properties)
int | pw_properties_set (struct pw_properties *properties, const char *key, const char *value)
int | pw_properties_setf (struct pw_properties *properties, const char *key, const char *format,...) SPA_PRINTF_FUNC(3
int int | pw_properties_setva (struct pw_properties *properties, const char *key, const char *format, va_list args) SPA_PRINTF_FUNC(3
int int const char * | pw_properties_get (const struct pw_properties *properties, const char *key)
const char * | pw_properties_iterate (const struct pw_properties *properties, void **state)

## Function Documentation

## ◆ pw_properties_add()

int pw_properties_add | ( | struct pw_properties * | oldprops,
|  | const struct spa_dict * | dict
| ) |  |

## ◆ pw_properties_add_keys()

int pw_properties_add_keys | ( | struct pw_properties * | oldprops,
|  | const struct spa_dict * | dict,
|  | const char * | keys[]
| ) |  |

## ◆ pw_properties_clear()

void pw_properties_clear | ( | struct pw_properties * | properties | ) |

## ◆ pw_properties_copy()

struct pw_properties* pw_properties_copy | ( | const struct pw_properties * | properties | ) |

## ◆ pw_properties_free()

void pw_properties_free | ( | struct pw_properties * | properties | ) |

## ◆ pw_properties_get()

int int const char* pw_properties_get | ( | const struct pw_properties * | properties,
|  | const char * | key
| ) |  |

## ◆ pw_properties_iterate()

const char* pw_properties_iterate | ( | const struct pw_properties * | properties,
|  | void ** | state
| ) |  |

## ◆ pw_properties_new()

struct pw_properties* pw_properties_new | ( | const char * | key,
|  |  | ...
| ) |  |

## ◆ pw_properties_new_dict()

struct pw_properties* pw_properties_new_dict | ( | const struct spa_dict * | dict | ) |

## ◆ pw_properties_new_string()

struct pw_properties* pw_properties_new_string | ( | const char * | args | ) |

## ◆ pw_properties_set()

int pw_properties_set | ( | struct pw_properties * | properties,
|  | const char * | key,
|  | const char * | value
| ) |  |

## ◆ pw_properties_setf()

int pw_properties_setf | ( | struct pw_properties * | properties,
|  | const char * | key,
|  | const char * | format,
|  |  | ...
| ) |  |

## ◆ pw_properties_setva()

int int pw_properties_setva | ( | struct pw_properties * | properties,
|  | const char * | key,
|  | const char * | format,
|  | va_list | args
| ) |  |

## ◆ pw_properties_update()

int pw_properties_update | ( | struct pw_properties * | oldprops,
|  | const struct spa_dict * | dict
| ) |  |

## ◆ pw_properties_update_keys()

int pw_properties_update_keys | ( | struct pw_properties * | props,
|  | const struct spa_dict * | dict,
|  | const char * | keys[]
| ) |  |

## ◆ pw_properties_update_string()

int pw_properties_update_string | ( | struct pw_properties * | props,
|  | const char * | str,
|  | size_t | size
| ) |  |

References pw_properties::pw_properties_set(), and impl::this.